org.apache.lucene.util

## Class ToStringUtils

- java.lang.Object
- - org.apache.lucene.util.ToStringUtils

    public final class ToStringUtils
    extends Object

Helper methods to ease implementing `Object.toString()`.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `byteArray(StringBuilder buffer, byte[] bytes)`
`static String` `longHex(long x)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### byteArray

    public static void byteArray(StringBuilder buffer,
                                 byte[] bytes)

#### longHex

    public static String longHex(long x)